de.dhbwstuttgart.typeinference.unify

## Class CVectorSet<E>

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.CSet<E>
  - - de.dhbwstuttgart.typeinference.unify.CVectorSet<E>

All Implemented Interfaces:
  java.lang.Iterable<E>

Direct Known Subclasses:
  CSubstitutionSet

    public abstract class CVectorSet<E>
    extends CSet<E>

Version:
  $Date: 2013/02/07 05:08:51 $
Author:
  JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

### Field Summary

Fields
`private Menge<E>` `m_Elements`

### Constructor Summary

Constructors
Constructor and Description
`CVectorSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAll(CVectorSet<E> set)`
`void` `addElement(E element)`
`boolean` `contains(E element)`
`boolean` `equals(java.lang.Object obj)`
`int` `getCardinality()`
`java.util.Iterator<E>` `getIterator()`
`Menge<E>` `getMenge()`
`void` `removeElement(E element)`
`void` `setMenge(Menge<E> elements)`
`void` `subtract(CSet<E> anotherSet)`
`void` `unite(CSet<E> anotherSet)` FÃ¼gt ein CMengeSet an!

### Methods inherited from class de.dhbwstuttgart.typeinference.unify.CSet

`deepCopy, shallowCopy, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Field Detail

#### m_Elements

    private Menge<E> m_Elements

### Constructor Detail

#### CVectorSet

    public CVectorSet()

### Method Detail

#### addElement

    public void addElement(E element)

Specified by:
  `addElement` in class `CSet<E>`

#### removeElement

    public void removeElement(E element)

Specified by:
  `removeElement` in class `CSet<E>`

#### addAll

    public void addAll(CVectorSet<E> set)

#### getIterator

    public java.util.Iterator<E> getIterator()

Specified by:
  `getIterator` in class `CSet<E>`

#### getMenge

    public Menge<E> getMenge()

#### setMenge

    public void setMenge(Menge<E> elements)

#### unite

    public void unite(CSet<E> anotherSet)

FÃ¼gt ein CMengeSet an! Es handelt sich um eine Vereinigung (es werden keine bereits vorhandenen Elemente Ã¼bernommen)

Specified by:
  `unite` in class `CSet<E>`
Parameters:
  `anotherSet` - Das hinzuzufÃ¼gende CMengeSet (CSet wird ignoriert)

#### subtract

    public void subtract(CSet<E> anotherSet)

Specified by:
  `subtract` in class `CSet<E>`

#### contains

    public boolean contains(E element)

Specified by:
  `contains` in class `CSet<E>`

#### equals

    public boolean equals(java.lang.Object obj)

Specified by:
  `equals` in class `CSet<E>`

#### getCardinality

    public int getCardinality()

Specified by:
  `getCardinality` in class `CSet<E>`